using System;

namespace Logger
{
    // Interface for data logging
    public interface IDataLogger
    {
        // Open data logger
        void Open();

        // Close data logger
        void Close();

        // Log data>
        void Log(LogEntry e);

        // Data logger is opened or not
        bool IsOpen { get; }
    }
}
